import time
import slapos.testing.e2e as e2e
from amari_test_common import AmarisoftTestMixin

class ORSTest(AmarisoftTestMixin, e2e.EndToEndTestCase):
    @classmethod
    def setTestParameters(cls):
        cls.enb_instance_name = time.strftime('e2e-ors84-enb-%Y-%B-%d-%H:%M:%S')
        cls.cn_instance_name = time.strftime('e2e-ors84-core-network-%Y-%B-%d-%H:%M:%S')
        cls.sim_instance_name = time.strftime('e2e-ors84-sim-%Y-%B-%d-%H:%M:%S')
        cls.ue_instance_name = time.strftime('e2e-simbox005-ue-%Y-%B-%d-%H:%M:%S')

        cls.product = cls.product.get('ors-tdd')
        cls.ue_product = "/opt/e2e/slapos/software/ors-amarisoft/software-fdd-lopcomm.cfg"
        cls.comp_enb = "COMP-4057"
        cls.comp_cn = "COMP-4057"
        cls.comp_ue = "COMP-3756"
        cls.dl_earfcn = 38550
